> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://apidocs.me-mate.net/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://apidocs.me-mate.net/_mcp/server.

# Get Session Token

POST https://business.me-mate.net/partners/login
Content-Type: application/json

## Get Session Token By Platform Token

Generates a **session access token** using a **platform token**.\
This token is required to authenticate subsequent API requests.

**Method:** `POST`\
**URL:** `https://business.me-mate.net/partners/login`

***

## Headers

| Header       | Value            |
| ------------ | ---------------- |
| Content-Type | application/json |

***

## Body (raw JSON)

Send the request body as **raw JSON**.

| Field       | Type   | Required | Description                                                      |
| ----------- | ------ | -------- | ---------------------------------------------------------------- |
| `UserToken` | string | Yes      | Platform token used to authenticate and generate a session token |

Example request body:

```json
{
  "UserToken": "platform token"
}

```

***

## Sample Request

```bash
curl --request POST "https://business.me-mate.net/partners/login" \
  --header "Content-Type: application/json" \
  --data '{
    "UserToken": "platform token"
  }'

```

***

## Sample Success Response

A successful request typically returns **HTTP 200 OK**.

```json
{
  "access_token": "{{vault:json-web-token}}",
  "token_type": "bearer",
  "expires_in": 86400
}

```

***

## Response Fields

| Field          | Type    | Description                      |
| -------------- | ------- | -------------------------------- |
| `access_token` | string  | Generated session access token   |
| `token_type`   | string  | Authentication type (Bearer)     |
| `expires_in`   | integer | Token expiration time in seconds |

***

## Notes

* The returned `access_token` must be used in the `Authorization` header for all protected API requests.

Example:

```http
Authorization: Bearer {{access_token}}

```

* The token expires after **86400 seconds (24 hours)**.

* After expiration, a **new token must be generated using the platform token**.

* Keep the `UserToken` secure and do not expose it publicly.

Reference: https://apidocs.me-mate.net/business-me-mate-net-ap-is-document-v-1-0/get-session-token/get-session-token-by-platform-token/get-session-token

## Request

### Body (application/json)

- `UserToken` (string, required)

## Response

### 200

OK

- `expires_in` (integer, required)
- `token_type` (string, required)
- `access_token` (string, required)

## Examples

**Request**

```json
{
  "UserToken": "platform token"
}
```

**Response**

```json
{
  "expires_in": 86400,
  "token_type": "bearer",
  "access_token": "{{vault:json-web-token}}"
}
```

**SDK Code**

```python
import requests

url = "https://business.me-mate.net/partners/login"

payload = { "UserToken": "platform token" }
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://business.me-mate.net/partners/login';
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: '{"UserToken":"platform token"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://business.me-mate.net/partners/login"

	payload := strings.NewReader("{\n  \"UserToken\": \"platform token\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://business.me-mate.net/partners/login")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n  \"UserToken\": \"platform token\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://business.me-mate.net/partners/login")
  .header("Content-Type", "application/json")
  .body("{\n  \"UserToken\": \"platform token\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://business.me-mate.net/partners/login', [
  'body' => '{
  "UserToken": "platform token"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://business.me-mate.net/partners/login");
var request = new RestRequest(Method.POST);
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"UserToken\": \"platform token\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Content-Type": "application/json"]
let parameters = ["UserToken": "platform token"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://business.me-mate.net/partners/login")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```